apiVersion: apps/v1
kind: Deployment
metadata:
  name: mosquitto
  namespace: {{ .Values.zone.name }}
spec:
  selector:
    matchLabels:
      app: mosquitto
  template:
    metadata:
      labels:
        app: mosquitto
        type: primary
    spec:
      containers:
        - image: {{ .Values.zone.mosquittoimage }}
          name: mosquitto
          ports:
            - containerPort: {{ .Values.zone.network.mosquitto.port }}
            - containerPort: 9001
          command:
            - mosquitto
          args:
            - -c 
            - /mosquitto-no-auth.conf
      securityContext:
        runAsUser: {{ .Values.zone.network.mosquitto.port }}
        runAsGroup: {{ .Values.zone.network.mosquitto.port }}
      affinity:
        podAntiAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
          - labelSelector:
              matchExpressions:
              - key: app
                operator: In
                values: [mosquitto]
            topologyKey: kubernetes.io/hostname

